# $Revision: 1.13 $, $Date: 2008/10/03 18:00:42 $

%define 	module	RSyncBackup

Summary:	Python module for perform automatic backups using the rsync command
Summary(pl.UTF-8):	Moduł Pythona umożliwiający wykonywanie automatycznych archiwizacji przy pomocy komendy rsync
Name:		python-%{module}
Version:	1.3
Release:	2
License:	BSD-like
Group:		Libraries/Python
Source0:	http://www.owlfish.com/software/utils/RSyncBackup/downloads/%{module}-%{version}.tar.gz
# Source0-md5:	b9fbf6a37b8634884dea330770948ac9
URL:		http://www.owlfish.com/software/utils/RSyncBackup/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
Requires:	python >= 2.3
Requires:	rsync
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RSyncBackup is the Python module that allows automatic backups using
the rsync command. rsync has many different uses but is particularly
suitable for performng backups from one form of online storage to
another, either over a network or on a local machine with multiple
drives.

%description -l pl.UTF-8
RSyncBackup jest modułem Pythona pozwalającym na wykonywanie
automatycznych archiwizacji. rsync posiada wprawdzie wiele innych
możliwości, ale szczególnie użyteczny jest do przeprowadzania
archiwizacji między wieloma urządzeniami, zarówno poprzez sieć jak i
na lokalnej maszynie między różnymi dyskami.

%package doc
Summary:	Documentation for RSyncBackup module
Summary(pl.UTF-8):	Dokumentacja do modułu RSyncBackup
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for RSyncBackup Python module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona RSyncBackup.

%package examples
Summary:	Examples for RSyncBackup module
Summary(pl.UTF-8):	Przykłady do modułu RSyncBackup
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for RSyncBackup Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona RSyncBackup.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt LICENSE.txt
%{py_sitescriptdir}/RSyncBackup.py[oc]

%files doc
%defattr(644,root,root,755)
%doc documentation/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-RSyncBackup.spec,v $
Revision 1.13  2008/10/03 18:00:42  arekm
- release 2

Revision 1.12  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.10  2004/12/18 15:49:35  darekr
- updated to 1.3, BR: python-modules

Revision 1.9  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.8  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.7  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.6  2004/05/20 19:42:23  zboczuch
- typos

Revision 1.5  2004/05/19 14:51:53  zboczuch
- s/-l p$/-l pl/ in subpackage descriptions

Revision 1.4  2004/05/19 14:45:15  zboczuch
- s/doc/examples/ in -examples subpackage description

Revision 1.3  2004/05/19 10:25:50  zboczuch
- correct group in -doc and -examples subpackages

Revision 1.2  2004/05/18 20:19:52  qboosh
- noarch

Revision 1.1  2004/05/18 19:54:30  qboosh
- new, from Marcin Gajda
